ARCHITECTURE studentVersion OF interpolatorCalculatePolynom IS

subtype sample_type is signed(sampleIn'range);
type samples_type is array (1 to 4) of sample_type;
signal samples: samples_type;

BEGIN

  process(clock, reset) begin
    if reset = '1' then
      samples <= (others => (others => '0'));
    elsif rising_edge(clock) then



    end if;
  end process;

  sampleOut <= (others => '0');
END ARCHITECTURE studentVersion;
